Bug 1309438 - [abrt] dnf: needs_restarting.py:106:smap2opened_file:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 148: ordinal not in range(128)
[abrt] dnf: needs_restarting.py:106:smap2opened_file:UnicodeDecodeError: 'asc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ca926bb4d9ffdcc0731138380cd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 15:00 EST by Flo H.
Modified: 2016-07-19 14:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:43:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (235.33 KB, text/plain)
2016-02-17 15:00 EST, Flo H.
no flags Details
File: backtrace (1.41 KB, text/plain)
2016-02-17 15:00 EST, Flo H.
no flags Details
File: dnf-makecache.log (628 bytes, text/plain)
2016-02-17 15:00 EST, Flo H.
no flags Details
File: dso_list (75 bytes, text/plain)
2016-02-17 15:00 EST, Flo H.
no flags Details
File: environ (2.92 KB, text/plain)
2016-02-17 15:00 EST, Flo H.
no flags Details

  None (edit)
Description Flo H. 2016-02-17 15:00:01 EST
Description of problem:
sudo dnf needs-restarting triggered this error

Version-Release number of selected component:
dnf-1.1.6-2.fc22

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python /usr/bin/dnf needs-restarting -u
executable:     /usr/bin/dnf
kernel:         4.3.4-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
needs_restarting.py:106:smap2opened_file:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 148: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1095, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/needs_restarting.py", line 199, in run
    for ofile in list_opened_files(uid):
  File "/usr/lib/python2.7/site-packages/dnf-plugins/needs_restarting.py", line 51, in list_opened_files
    ofile = smap2opened_file(pid, line)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/needs_restarting.py", line 106, in smap2opened_file
    slash = line.find('/')
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 148: ordinal not in range(128)

Local variables in innermost frame:
line: '7fd354150000-7fd35416d000 r--p 00000000 fd:03 21104104                   /home/florian/Dokumente/_Alt-sortieren/ASA 2007/Projekt_CARUARU_07/disserta\xc3\xa7\xc3\xa3o esther/a.pdf\n'
pid: 2752
Comment 1 Flo H. 2016-02-17 15:00:08 EST
Created attachment 1128002 [details]
File: _var_log_dnf.log
Comment 2 Flo H. 2016-02-17 15:00:09 EST
Created attachment 1128003 [details]
File: backtrace
Comment 3 Flo H. 2016-02-17 15:00:10 EST
Created attachment 1128004 [details]
File: dnf-makecache.log
Comment 4 Flo H. 2016-02-17 15:00:11 EST
Created attachment 1128005 [details]
File: dso_list
Comment 5 Flo H. 2016-02-17 15:00:12 EST
Created attachment 1128006 [details]
File: environ
Comment 6 Honza Silhan 2016-02-22 07:47:10 EST
Thanks for the report.
Comment 7 Fedora Admin XMLRPC Client 2016-07-08 05:24:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2016-07-19 14:43:53 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.